#!/bin/bash
# © Copyright [2020 - 2024] Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates and licensors
# (“Micro Focus”) are as may be set forth in the express warranty statements accompanying such
# products and services. Nothing herein should be construed as constituting an additional
# warranty. Micro Focus shall not be liable for technical or editorial errors or omissions
# contained herein. The information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential information
# and a valid license is required for possession, use or copying. If this work is provided to the
# U.S. Government, consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial Items are licensed
# to the U.S. Government under vendor's standard commercial license.

copyFiles(){
  test_file="/etc/opt/novell/cis/gateway/conf/resolv.conf"
  test_file1="/etc/opt/novell/cis/es/dumpconfig"

  if [ ! -f "$test_file1" ]; then
    [ -f /etc/opt/novell/cis_local/es/dumpconfig ] && /usr/bin/cp -p /etc/opt/novell/cis_local/es/dumpconfig /etc/opt/novell/cis/es
  fi

  if [ -f "$test_file" ]; then
    exit 0
  fi

  [ -f /etc/opt/novell/cis_local/gateway/conf/front-envoy.json ] && /usr/bin/cp -p /etc/opt/novell/cis_local/gateway/conf/front-envoy.json /etc/opt/novell/cis/gateway/conf/front-envoy.json
  [ -f /etc/opt/novell/cis_local/gateway/conf/resolv.conf ] && /usr/bin/cp -p /etc/opt/novell/cis_local/gateway/conf/resolv.conf /etc/opt/novell/cis/gateway/conf/resolv.conf
  [ -f /etc/opt/novell/cis_local/es/es_envoy.json ] && /usr/bin/cp -p /etc/opt/novell/cis_local/es/es_envoy.json /etc/opt/novell/cis/es
  [ -f /etc/opt/novell/cis_local/cis3.yml ] && /usr/bin/cp -p /etc/opt/novell/cis_local/*.yml /etc/opt/novell/cis
  [ -f /etc/opt/novell/cis_local/nginx.conf ] && /usr/bin/cp -p /etc/opt/novell/cis_local/nginx*.conf /etc/opt/novell/cis
  [ -f /etc/opt/novell/cis_local/es/log4j2.properties ] && /usr/bin/cp -p /etc/opt/novell/cis_local/es/log4j2.properties /etc/opt/novell/cis/es
  [ -f /etc/opt/novell/cis_local/zk_envoy.json ] && /usr/bin/cp -p /etc/opt/novell/cis_local/zk_envoy.json /etc/opt/novell/cis
  [ -f /etc/opt/novell/cis_local/kafka/kafka_envoy.json ] && /usr/bin/cp -p /etc/opt/novell/cis_local/kafka/kafka_envoy.json /etc/opt/novell/cis/kafka
  [ -f /etc/opt/novell/cis_local/zk/snapshot.0 ] && /usr/bin/cp -p /etc/opt/novell/cis_local/zk/snapshot.0 /etc/opt/novell/cis/zk
  [ -f /etc/opt/novell/cis_local/zk/zk_envoy.json ] && /usr/bin/cp -p /etc/opt/novell/cis_local/zk/zk_envoy.json /etc/opt/novell/cis/zk
  [ -f /etc/opt/novell/cis_local/fluentbit/fluentd.conf ] && /usr/bin/cp -p /etc/opt/novell/cis_local/fluentbit/fluentd.conf /etc/opt/novell/cis/fluentbit
  exit 0
}

# If path is root, don't perform any movement
[[ "$1" == "/" ]] && exit 0
copyFiles